gr::satellites::pdu_add_meta_impl Class Reference

`#include <pdu_add_meta_impl.h>`

Inheritance diagram for gr::satellites::pdu_add_meta_impl:
[legend]

## Public Member Functions

| pdu_add_meta_impl (pmt::pmt_t meta)
| ~pdu_add_meta_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | msg_handler (pmt::pmt_t pmt_msg)

## Additional Inherited Members

Public Types inherited from gr::satellites::pdu_add_meta
typedef boost::shared_ptr< pdu_add_meta > | sptr
Static Public Member Functions inherited from gr::satellites::pdu_add_meta
static sptr | make (pmt::pmt_t meta)
| Return a shared_ptr to a new instance of satellites::pdu_add_meta.

## Constructor & Destructor Documentation

## pdu_add_meta_impl()

gr::satellites::pdu_add_meta_impl::pdu_add_meta_impl | ( | pmt::pmt_t | meta | ) |

## ~pdu_add_meta_impl()

gr::satellites::pdu_add_meta_impl::~pdu_add_meta_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::satellites::pdu_add_meta_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::satellites::pdu_add_meta_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## msg_handler()

void gr::satellites::pdu_add_meta_impl::msg_handler | ( | pmt::pmt_t | pmt_msg | ) |

The documentation for this class was generated from the following file:

- pdu_add_meta_impl.h